
Redmine - Feature #7402

REST API - Enumerations

2011-01-21 19:52 - Anonymous

Status: New Start date: 2011-01-21

Priority: High Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

it would be great to have access to all enumerations via the REST API. Right now, at least from what I understood, I would have to

get all issues and then hope that all Statuses/Resolutions are in there.

Related issues:

Related to Redmine - Feature #7180: List of statuses in REST API Closed 2010-12-27

Related to Redmine - Defect #7819: REST API Populating issue field enumeratio... New 2011-03-09

Related to Redmine - Feature #9835: REST API - List priorities Closed

Has duplicate Redmine - Defect #8596: Make possible to obtain issue_prioritie... Closed 2011-06-13

Has duplicate Redmine - Feature #11169: Please add API to get priority list Closed

History

#1 - 2011-01-30 10:07 - Jack T

This would be really useful.

#2 - 2011-02-11 07:01 - RedminePro Yang

+1

#3 - 2011-02-19 18:32 - Alex Last

See #7180

#4 - 2011-06-16 07:14 - Bevan Rudge

This is duplicate of one or some of the following;

#4968

#7180

#7402

#5 - 2011-06-16 07:19 - Bevan Rudge

I meant #7819, not #7402.

#6 - 2011-08-29 10:10 - Etienne Massip

- Priority changed from Normal to High

- Target version set to Candidate for next major release

As #7180, REST-blocking for instances which don't set a default Priority, etc.

#7 - 2012-03-09 19:41 - The Anchialos

+1

We need this feature for RedmineNB (NetBeans Plugin for integration with Redmine).

#8 - 2012-04-14 07:19 - Alex V.

+1

Getting Enumerations is crucial

#9 - 2012-04-25 04:03 - Tim Klein
+1

#10 - 2012-10-10 18:00 - Robert Zieschang

+1

What's the status?

Candidate for Majorrelease 3?

#11 - 2012-11-28 09:31 - Peter Modica

+1

#12 - 2013-12-27 16:57 - Marco Descher

+1

#13 - 2022-11-18 08:23 - Christoph Holzer

+1
